## ICalTimeSpan ICalTimeSpan |

## Functions

time_t | i_cal_time_span_get_start ()
void | i_cal_time_span_set_start ()
time_t | i_cal_time_span_get_end ()
void | i_cal_time_span_set_end ()
gint | i_cal_time_span_is_busy ()
void | i_cal_time_span_set_is_busy ()

## Types and Values

#define | I_CAL_TIME_SPAN_TYPE
| ICalTimeSpan
struct | ICalTimeSpanClass

## Description

## Functions

### i_cal_time_span_get_start ()

    time_t
    i_cal_time_span_get_start (ICalTimeSpan *timespan);

Get the start of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be queried. |

#### Returns

The start.

Since: 1.0

### i_cal_time_span_set_start ()

    void
    i_cal_time_span_set_start (ICalTimeSpan *timespan,
                               time_t start);

Set the start of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be set. |
start | The start. |

Since: 1.0

### i_cal_time_span_get_end ()

    time_t
    i_cal_time_span_get_end (ICalTimeSpan *timespan);

Get the end of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be queried. |

#### Returns

The end.

Since: 1.0

### i_cal_time_span_set_end ()

    void
    i_cal_time_span_set_end (ICalTimeSpan *timespan,
                             time_t end);

Set the end of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be set. |
end | The end. |

Since: 1.0

### i_cal_time_span_is_busy ()

    gint
    i_cal_time_span_is_busy (ICalTimeSpan *timespan);

Get the is_busy of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be queried. |

#### Returns

The is_busy.

Since: 1.0

### i_cal_time_span_set_is_busy ()

    void
    i_cal_time_span_set_is_busy (ICalTimeSpan *timespan,
                                 gint is_busy);

Set the is_busy of ICalTimeSpan.

#### Parameters

timespan | The ICalTimeSpan to be set. |
is_busy | The is_busy. |

Since: 1.0

## Types and Values

### I_CAL_TIME_SPAN_TYPE

    #define             I_CAL_TIME_SPAN_TYPE

### ICalTimeSpan

    typedef struct {
    } ICalTimeSpan;

This is the ICalTimeSpan instance.

### struct ICalTimeSpanClass

    struct ICalTimeSpanClass {
    };

This is the ICalTimeSpan class.